# function that gets a face based on a word (emotions and actions)
def face_encoder(word, number=1):
    faces = {
        "happy": [
            "(* ^ ω ^)", "╰(▔ ∀ ▔)╯", "(✯◡✯)", "(´｡• ᵕ •｡`)", "(o˘◡˘o)", 
            "(๑>◡<๑)", "(´｡• ω •｡`)", "☆*:.｡.o(≧▽≦)o.｡.:*☆", "(*^‿^*)", "(๑>◡<๑)"
        ],
        "loved": [
            "(ﾉ´ з `)ノ", "(♡-_-♡)", "♡ (˘▽˘>ԅ( ˘⌣˘)", "Σ>―(〃°ω°〃)♡→", "(*˘︶˘*).｡.:*♡", 
            "ヽ(♡‿♡)ノ", "( ˘⌣˘)♡(˘⌣˘ )", "(♡˙︶˙♡)", "♡＼(￣▽￣)／♡", "♡(>ᴗ•)"
        ],
        "embarassed": [
            "(⌒_⌒;)", "(*/_＼)", "(//ω//)",  "(„ಡωಡ„)", "(///￣ ￣///)", 
            "(o^ ^o)", "(*ﾉωﾉ)", "(ᵔ.ᵔ)", "(⁄ ⁄•⁄ω⁄•⁄ ⁄)", "(o-_-o)"
        ],
        "sympathy": [
            "(ノ_<。)ヾ(´ ▽ ` )", "ヽ(￣ω￣(。。 )ゝ", "(ﾉ_；)ヾ(´ ∀ ` )", "(´-ω-`( _ _ )", "(っ´ω`)ﾉ(╥ω╥)", 
            "｡･ﾟ･(ﾉД`)ヽ(￣ω￣ )", "(*´ I `)ﾉﾟ(ﾉД｀ﾟ)ﾟ｡", "(; ω ; )ヾ(´∀`* )", "ρ(- ω -、)ヾ(￣ω￣; )", "ヽ(~_~(・_・ )ゝ"
        ],
        "dissatisfied": [
            "(＃＞＜)", "(；￣Д￣)", "(￢_￢;)", "(＾＾＃)", "(￣︿￣)", 
            "ヾ( ￣O￣)ツ", "(ᗒᗣᗕ)՞", "(￣□￣」)", "(︶︹︺)", "(＞﹏＜)"
        ],
        "angry": [
            "(＃`Д´)", "(・`ω´・)", "( `ε´ )", "(ﾒ` ﾛ ´)", "Σ(▼□▼メ)", 
            "٩(╬ʘ益ʘ╬)۶", "ψ( ` ∇ ´ )ψ", "(╬ Ò﹏Ó)", "←~(Ψ▼ｰ▼)∈", "＼＼٩(๑`^´๑)۶／／"
        ],
        "sad": [
            "(ノ_<。)", "(μ_μ)", "o(TヘTo)", "( ﾟ，_ゝ｀)", "( ╥ω╥ )", 
            "(つω`｡)", "(T_T)", "o(〒﹏〒)o", "( ; ω ; )", "(｡╯︵╰｡)"
        ],
        "pain": [
            "~(>_<~)", "(×_×)", "(×﹏×)", "☆⌒(> _ <)", "_:(´ཀ`」 ∠):_", 
            "(×_×)⌒☆", "(＋_＋)", "٩(× ×)۶", "☆⌒(>。<)", "☆(＃××)"
        ],
        "scared": [
            "(ノωヽ)", "(″ロ゛)", "(((＞＜)))", "▓▒░(°◡°)░▒▓", "(;;;*_*)", 
            "(( (>_<) ))", "(ﾉ_ヽ)", "〜(＞＜)〜", "＼(º □ º l|l)/", "＼(〇_ｏ)／"
        ],
        "indifferent": [
            "ヽ(ー_ー )ノ", "┐(￣ヘ￣)┌", "┐(￣～￣)┌", "┐( ´ д ` )┌", "╮(︶▽︶)╭", 
            "┐(￣ヮ￣)┌", "ヽ(´ー` )┌", "ヽ(￣～￣　)ノ", "ᕕ( ᐛ )ᕗ", "(-_-;)・・・"
        ],
        "confused": [
            "(￣ω￣;)", "┐('～`;)┌", "(・_・;)", "(＠_＠)", "(•ิ_•ิ)?", 
            'ლ(¯ロ¯"ლ)', "σ(￣、￣〃)", "(・_・ヾ", "(￣_￣)・・・", "(・・;)ゞ"
        ],
        "doubt": [
            "(￢_￢)", "(¬_¬ )", "(↼_↼)", "(→_→)", "(←_←)", 
            "(￢ ￢)", "(ᓀ ᓀ)", "(￢‿￢ )", "(„¬ᴗ¬„)", "(⇀_⇀)"
        ],
        "surprised": [
            "w(°ｏ°)w", "(⊙_⊙)", "(°ロ°) !", "∑(O_O;)", "ヽ(°〇°)ﾉ", 
            "(o_O)", "( : ౦ ‸ ౦ : )", "(□_□)", "Σ(°ロ°)", "(O.O)"
        ], 
        "greeting": [
            "(*・ω・)ﾉ", "(^-^*)/", "ヾ(*'▽'*)", "(^０^)ノ", "(*°ｰ°)ﾉ", 
            "(￣ω￣)/", "(≧▽≦)/", "(´• ω •`)ﾉ", "ヾ(☆▽☆)", "ヾ(・ω・*)"
        ],
        "warmth": [
            "(づ￣ ³￣)づ", "(⊃｡•́‿•̀｡)⊃", "⊂(´• ω •`⊂)", "( ~*-*)~", "(つ≧▽≦)つ", 
            "(つ . •́ _ʖ •̀ .)つ", "⊂(･ω･*⊂)", "(ノ= ⩊ = )ノ", "(つ✧ω✧)つ", "(っ╹ᆺ╹)っ"
        ],
        "flirty": [
            "(^_~)", "(>ω^)", "(^_<)〜☆", "(^.~)", "(~人^)", 
            "(^_−)☆", "(｡•̀ᴗ-)✧", "☆⌒(≧▽​° )", "(^ω~)", "( -_・)"
        ],
        "apologetic": [
            "m(_ _)m", "人(_ _*)", "(シ. .)シ", "(シ_ _)シ", "(*_ _)人", 
            "m(. .)m", "m(_ _;m)", "<(_ _)>", "(m;_ _)m", "(_ _;)"
        ],
        "friendliness": [
            "ヾ(・ω・)メ(・ω・)ノ", "(*^ω^)八(⌒▽⌒)八(-‿‿- )ヽ", "ヽ( ⌒ω⌒)人(=^‥^= )ﾉ", "｡*:☆(・ω・人・ω・)｡:゜☆｡", "(°(°ω(°ω°(☆ω☆)°ω°)ω°)°)", 
            "(っ˘▽˘)(˘▽˘)˘▽˘ς)", "(*＾ω＾)人(＾ω＾*)", "ヽ(▽￣ \\ (￣▽￣) / ￣▽)ノ", "ヽ(∀° )人( °∀)ノ", "ヽ(＾∀＾)メ(＾∀＾)ノ"
        ],
        "hostile": [
            "ヽ( ･∀･)ﾉ_θ彡☆Σ(ノ `Д´)ノ", "(*`0´)θ☆(メ°皿°)ﾉ", "(; -_-)――――――C<―_-)", "ヽ(>_<ヽ) ―⊂|=0ヘ(^‿^ )", "(҂` ﾛ ´)︻デ═一 ＼(º □ º l|l)/", 
            "/( .□.)＼ ︵╰(°益°)╯︵ /(.□. /)", "(`⌒*)O-(`⌒´Q)", "(っ•﹏•)っ ✴==≡눈٩(`皿´҂)ง", "(*´∇`)┌θ☆(ﾉ>_<)ﾉ", "(ﾉ-.-)ﾉ….((((((((((((●~* ( >_<)"
        ],
        "aggressive": [
            "( ・∀・)・・・--------☆", "( -ω-)／占~~~~~", "○∞∞∞∞ヽ(^ー^ )", "(*＾＾)/~~~~~~~~~~◎", "((( ￣□)_／", 
            "(ﾒ￣▽￣)︻┳═一", "(/-_・)/D・・・・・------ →", "(/・・)ノ　　 (( く ((へ", "(; ・_・)――――C", "￢o(￣-￣ﾒ)"
        ], 
        "mystical": [
            "(ノ ˘_˘)ノ　ζ|||ζ　ζ|||ζ　ζ|||ζ", "(ノ°∀°)ノ⌒･*:.｡. .｡.:*･゜ﾟ･*☆", "(⊃｡•́‿•̀｡)⊃━✿✿✿✿✿✿", "(∩` ﾛ ´)⊃━炎炎炎炎炎", "(ﾉ≧∀≦)ﾉ ‥…━━━★", 
            "╰( ͡° ͜ʖ ͡° )つ──☆*:・ﾟ", "(∩ᄑ_ᄑ)⊃━☆ﾟ*･｡*･:≡( ε:)", "(ﾉ>ω<)ﾉ :｡･:*:･ﾟ’★,｡･:*:･ﾟ’☆", "(＃￣□￣)o━∈・・━━━━☆", "(/￣ー￣)/~~☆’.･.･:★’.･.･:☆"
        ],
        "hungry": [
            "(っ˘ڡ˘ς)", "( ˘▽˘)っ♨", "(　・ω・)⊃-[二二]", "(*´ー`)旦 旦(￣ω￣*)", "( ￣▽￣)[] [](≧▽≦ )", 
            "(￣﹃￣)", "♨o(>_<)o♨", "( o˘◡˘o) ┌iii┐", "(*´з`)口ﾟ｡ﾟ口(・∀・ )", "(๑ᵔ⤙ᵔ๑)"
        ],
        "energetic": [
            "ヾ(´〇`)ﾉ♪♪♪", "ヽ(o´∀`)ﾉ♪♬", "└(＾＾)┐", "ヾ(⌐■_■)ノ♪", "乁( • ω •乁)", 
            "♬♫♪◖(● o ●)◗♪♫♬", "ヘ(￣ω￣ヘ)", "(ﾉ≧∀≦)ﾉ", "└(￣-￣└))", "(〜￣△￣)〜"
        ],
        "hiding": [
            "|･ω･)", "|д･)", "┬┴┬┴┤･ω･)ﾉ", "|･д･)ﾉ", "ﾍ(･_|", 
            "|_￣))", "┬┴┬┴┤( ͡° ͜ʖ├┬┴┬┴", "|ʘ‿ʘ)╯", "|ω･)ﾉ", "┬┴┬┴┤(･_├┬┴┬┴"
        ], 
        "writing": [
            "__φ(．．)", "ヾ( `ー´)シφ__", "( ^▽^)ψ__", "( ￣ー￣)φ__", "__〆(￣ー￣ )", 
            "....φ(︶▽︶)φ....", "__φ(。。)", "....φ(・∀・*)", "( . .)φ__", "(✿◠ ‿ ◠)ψ__"
        ],
        "running": [
            "☆ﾐ(o*･ω･)ﾉ", "ε=ε=ε=ε=┌(;￣▽￣)┘", "ε===(っ≧ω≦)っ", "C= C= C= C= C=┌(;・ω・)┘", "ε=ε=┌( >_<)┘", 
            "ヽ(￣д￣;)ノ=3=3=3", "─=≡Σ((( つ＞＜)つ", "C= C= C= C=┌( `ー´)┘", "。。。ミヽ(。＞＜)ノ", "...(ᕙ( •̀ ᵌ•́ )ᕗ"
        ],
        "sleeping": [
            "[(－－)]..zzZ", "(￣o￣) zzZZzzZZ", "(＿ ＿*) Z z z", "(－_－) zzZ", "(( _ _ ))..zzzZZ", 
            "(x . x) ~~zzZ", "(∪｡∪)｡｡｡zzZ", "(￣ρ￣)..zzZZ", "(－ω－) zzZ", "(－.－)...zzz"
        ],
        "playing": [
            "( ^^)p_____|_o____q(^^ )", "ヽ(^o^)ρ┳┻┳°σ(^o^)ノ", "( ノ-_-)ノﾞ_□ VS □_ヾ(^-^ヽ)", "Ю　○三　＼(￣^￣＼)", "(／o^)/ °⊥ ＼(^o＼)", 
            "(／_^)／　　●　＼(^_＼)", "ヽ(；^ ^)ノﾞ ．．．...___〇", "!(;ﾟoﾟ)o/￣￣￣￣￣￣￣~ >ﾟ))))彡", "( (≡|≡))_／ ＼_((≡|≡) )", "(=O*_*)=O Q(*_*Q)"
        ]
    }

    # validates user input 
    if number > 10: 
        return "error: the maximum number of faces is 10"
    
    # holds faces asked by user 
    emoticons = []
    word_lower = word.lower()

    # gives back random faces based on the number specified 
    if word_lower in faces:
        for i in range(number):
            all_faces = faces[word_lower]
            emoticons.append(all_faces[i]) 
        
        return "\n".join(emoticons)
    
    return "error: face cannot be found for this word"